Bug 69983 - Requires audiofile-devel to compile
Summary: Requires audiofile-devel to compile
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: kdelibs (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: wdovlrrw
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 67218
TreeView+ depends on / blocked
 
Reported: 2002-07-27 18:56 UTC by tanner
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-02 07:32:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description tanner 2002-07-27 18:56:52 UTC
kdelibs-3.0.2-1.src.rpm should have a BuildRequires: audiofile-devel

On linking:

/usr/bin/ld: cannot file -laudiofile
collect2: ld return 1 exit status

$ locate libaudiofile
/usr/lib/libaudiofile.so.0.0.2
/usr/lib/libaudiofile.so.0
/usr/lib/libaudiofilearts-gcc2.96.so
/usr/lib/libaudiofilearts.la
/usr/lib/libaudiofilearts.so
/usr/lib/libaudiofile.a
/usr/lib/libaudiofile.so

$ rpm -qf /usr/lib/libaudiofile.a
audiofile-devel-0.2.3-1

Comment 1 Ngo Than 2002-08-02 07:32:31 UTC
it's fixed in 3.0.2-3 or newer. Thanks for your report

Comment 2 Jay Turner 2002-09-04 01:50:03 UTC
Fix confirmed with kdelibs-3.0.3-8.


Note You need to log in before you can comment on or make changes to this bug.